from typing import Any

from pydantic import BaseModel, Field


class Input(BaseModel):
    prompt: dict
    fal_inputs: dict[str, Any] = Field(default_factory=dict)
    fal_inputs_dev_info: dict[str, Any] = Field(default_factory=dict)


class Output(BaseModel):
    outputs: dict[str, dict[str, Any]]
    fal_outputs: dict[str, dict[str, Any]]
